Subject: powerpc: fsl,pq2-localbus is broken for ages

From: Nikita Yushchenko <[email-masked]>
Date: Tue, 17 Feb 2015 09:57:24 +0300

Hi

arch/powerpc/sysdev/fsl_lbc.c driver claims that it is compatible with
fsl,pq2-localbus and fsl,pq2pro-localbus

arch/powerpc/sysdev/fsl_lbc.c driver requires irq configured in device
tree since very old times (commit 3ab8f2a2 from 2.6.37 times)

None of in-tree dts files that have either fsl,pq2-localbus or
fsl,pq2pro-localbus, ever defined irq for that. As far as I understand,
that hardware did not have an irq.

This leads to problems running recent kernels on legacy Freescale boards.

I don't know if support for legacy boards worths fixing. Especially
since nobody cared for years. But maybe at least remove these
"compatible" lines from the drivers (and perhaps completely remove
broken support for pq2 boards at all)?

Nikita